#! /bin/sh
#-----------------------------------------------------------------------------
# /tmp/install.sh - libxcrypt installation
#
# Creation   :  2010-02-24 holbru
# Last update:  $Id: postinstall-libxcrypt.sh 34281 2013-08-15 17:42:11Z hbfl $
#
# Copyright (c) 2010-2013 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#-----------------------------------------------------------------------------

# set package name
package_name=libxcrypt

#----------------------------------------------------------------------------
# generate symlinks
#----------------------------------------------------------------------------
lib_names="libxcrypt.so.2.0.0"

cd /lib

for LNAME in ${lib_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0644 root root ${package_name} lib/${LinkSRC}" \
          >>/etc/filelist.d/${package_name}-files.txt
done


lib_xcrypt_names="libxcrypt_1.so.1.0.0 libxcrypt_2a.so.1.0.0 libxcrypt_2x.so.1.0.0 libxcrypt_2y.so.1.0.0 libxcrypt_5.so.1.0.0 libxcrypt_6.so.1.0.0"

cd /lib/xcrypt

for LNAME in ${lib_xcrypt_names}
do
    lib_name=`echo "${LNAME}" | sed 's#\.so.*$##'`
    lib_major=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f1`
    lib_minor=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f2`
    lib_patch=`echo "${LNAME}" | sed 's#.*so.##' | cut -d. -f3`

    LinkDES="${LNAME}"
    LinkSRC="${lib_name}.so.${lib_major}"

    rm -f ${LinkSRC}
    ln -sf ${LinkDES} ${LinkSRC}
    echo "b 0644 root root ${package_name} lib/xcrypt/${LinkSRC}" \
          >>/etc/filelist.d/${package_name}-files.txt
done

#----------------------------------------------------------------------------
# running ldconfig
#----------------------------------------------------------------------------
/sbin/ldconfig 

exit 0
#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------
